version: "2"

services:
  nms:
    image: illuspas/node-media-server
    container_name: nms
    hostname: nms
    restart: always
    entrypoint:
      - /bin/sh
      - /usr/src/app/entrypoint.sh
    volumes:
      - ./app.js:/usr/src/app/app.js:ro
      - ./entrypoint.sh:/usr/src/app/entrypoint.sh:ro
      - ./media:/usr/src/app/media
      - ./lists:/lists:ro
    expose:
      - "8000"
      - "8443"
    ports:
      - "1936:1935"
      - "1936:1935/udp"
    networks:
      mynet:
        ipv4_address: 172.14.0.101

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.14.0.0/24

